/* - This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this file,
   - You can obtain one at http://mozilla.org/MPL/2.0/. */

@namespace html url("http://www.w3.org/1999/xhtml");

@media not (prefers-contrast) {
  @media not (prefers-color-scheme: dark) {
    :root > * {
      --in-content-button-background: var(--grey-90-a10);
      --in-content-button-background-hover: var(--grey-90-a20);
      --in-content-button-background-active: var(--grey-90-a30);
    }
  }

  @media (prefers-color-scheme: dark) {
    :root > * {
      --in-content-page-background: #2a2a2e;
      --in-content-button-background: rgba(249, 249, 250, 0.1);
      --in-content-button-background-hover: rgba(249, 249, 250, 0.15);
      --in-content-button-background-active: rgba(249, 249, 250, 0.2);
      --in-content-primary-button-background: #45a1ff;
      --in-content-primary-button-background-hover: #65c1ff;
      --in-content-primary-button-background-active: #85e1ff;
      --in-content-focus-outline-color: #45a1ff;
    }
  }
}

dialog,
window,
.windowDialog {
  appearance: none;
  background-color: var(--in-content-page-background);
  color: var(--in-content-page-color);
  margin: 0;
  padding: 0;
}

body > dialog {
  background-color: unset;
}

.contentPane.doScroll,
dialog.doScroll::part(content-box) {
  overflow-y: auto;
}

tabbox {
  /* override the rule in certManager.xhtml */
  margin: 0 0 5px !important;
}

tabpanels {
  font-size: 1em;
}

tabs,
label,
description,
#useDocumentColors {
  margin-inline: 4px;
}

/* This element (in passwordManager.xhtml) has no height until Fluent fills
   it, but we need to calculate the document height before then. The value is
   the same as the line-height for a label in preferences.css. */
label#signonsIntro {
  height: 1.8em;
}

tree {
  min-height: 150px;
}

caption {
  padding-inline-start: 0;
}

groupbox {
  margin-top: 0;
  margin-inline: 4px;
  padding-block: 0 5px;
}

groupbox description {
  margin-inline: 0;
}

menulist label {
  font-weight: unset;
}

.actionButtons + resizer {
  display: none;
}

menulist,
button,
html|input[type="number"] {
  margin-inline-end: 0;
}

button,
menulist {
  padding: 0 8px;
}

/* Create a separate rule to unset these styles on .tree-input instead of
   using :not(.tree-input) so the selector specifity doesn't change. */
textbox.tree-input {
  font-size: unset;
}

/* Give some space in front of elements that follows a menulist, button or an
   input in dialogs */
.startSpacing {
  margin-inline-start: 8px;
}

/* Adjust the Lightning Edit Category dialog */
#colorSelectRow {
  margin-top: 10px;
  margin-inline-start: 4px;
}

#logView {
  border: 1px solid var(--in-content-box-border-color);
  margin: 0 4px 5px;
}

#cookieInfoSettings {
  margin-top: 8px;
  margin-inline-end: -4px;
}

/* Edit SMTP Server dialog */
#smtpUsername {
  margin-inline: 8px 0;
}
